com.sun.jdi.event

## Interface ThreadStartEvent

- All Superinterfaces:
    Event, Mirror

      public interface ThreadStartEvent
      extends Event

  Notification of a new running thread in the target VM. The new thread can be the result of a call to ``Thread.start()`` or the result of attaching a new thread to the VM though JNI. The notification is generated by the new thread some time before its execution starts. Because of this timing, it is possible to receive other events for the thread before this event is received. (Notably, `MethodEntryEvent`s and `MethodExitEvent`s might occur during thread initialization.) It is also possible for `VirtualMachine.allThreads()` to return a new started thread before this event is received.

  Note that this event gives no information about the creation of the thread object which may have happened much earlier, depending on the VM being debugged.

  Since:
    1.3
  See Also:
    `EventQueue`, `VirtualMachine`, `ThreadReference`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThreadReference` | `thread()` Returns the thread which has started.

    - ### Methods inherited from interface com.sun.jdi.event.Event

      `request`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

- - ### Method Detail

    - #### thread

          ThreadReference thread()

      Returns the thread which has started.
      Returns:
        a `ThreadReference` which mirrors the event's thread in the target VM.

Copyright © 1999, 2019, Oracle and/or its affiliates. All rights reserved.